| syb-0.1.0.2: Scrap Your Boilerplate | Contents | Index

Data.Generics

Portability | non-portable (uses Data.Generics.Basics)
Stability | experimental
Maintainer | generics@haskell.org

Contents

All Data.Generics modules

Description
"Scrap your boilerplate" --- Generic programming in Haskell See http://www.cs.vu.nl/boilerplate/. To scrap your boilerplate it is sufficient to import the present module, which simply re-exports all themes of the Data.Generics library. For more information, please visit the new SYB wiki: http://www.cs.uu.nl/wiki/bin/view/GenericProgramming/SYB.
Synopsis

module Data.Data
module Data.Generics.Aliases
module Data.Generics.Schemes
module Data.Generics.Text
module Data.Generics.Twins
data a :*: b = a :*: b

data a :+: b

= Inl a
| Inr b

data Unit = Unit

All Data.Generics modules
module Data.Data
module Data.Generics.Aliases
module Data.Generics.Schemes
module Data.Generics.Text
module Data.Generics.Twins
data a :*: b

Constructors

a :*: b |

data a :+: b

Constructors

Inl a |
Inr b |

data Unit

Constructors

Unit |

Produced by Haddock version 2.6.1